import { Component, OnInit, Input, EventEmitter } from '@angular/core';
import { CallHistoryInfo } from '@ucap-webmessenger/pi';
import { NGXLogger } from 'ngx-logger';

import { VersionInfo2Response } from '@ucap-webmessenger/api-public';
import moment from 'moment';

@Component({
  selector: 'ucap-call-history',
  templateUrl: './call-history.component.html',
  styleUrls: ['./call-history.component.scss']
})
export class CallHistoryComponent implements OnInit {
  @Input()
  set callHistoryList(dataList: CallHistoryInfo[]) {
    if (!!dataList && dataList.length > 0) {
      this.callInfoList = dataList;
    }
  }
  callHistorys: CallHistoryInfo;

  @Input()
  dateChanged = false;

  callInfoList: CallHistoryInfo[] = [];
  sendDate: string;
  sessionVerinfo: VersionInfo2Response;

  constructor(private logger: NGXLogger) {}

  ngOnInit() {}

  getDateSplitter(callHistory: CallHistoryInfo): boolean {
    const curIndex = this.callInfoList.findIndex(
      v =>
        v.dstNumber === callHistory.dstNumber &&
        v.reqDate === callHistory.reqDate
    );
    if (curIndex === 0) {
      return true;
    }

    if (curIndex > 0) {
      if (!this.callInfoList[curIndex]) {
        return false;
      }
      return !moment(this.callInfoList[curIndex].reqDate).isSame(
        moment(this.callInfoList[curIndex - 1].reqDate),
        'day'
      );
    }
    return false;
  }
}
