import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

import { NGXLogger } from 'ngx-logger';
import { PhoneBookInfo } from '@ucap-webmessenger/protocol-sync';
import {
  Observable,
  combineLatest,
  Subscription,
  of,
  BehaviorSubject,
  interval
} from 'rxjs';
import { timeoutWith } from 'rxjs/operators';
export interface Tile {
  colspan?: number;
  imgSrc?: string;
}
@Component({
  selector: 'ucap-call-phone-book',
  templateUrl: './phone-book.component.html',
  styleUrls: ['./phone-book.component.scss']
})
export class PhoneBookComponent implements OnInit {
  @Input()
  phoneBook: PhoneBookInfo;

  @Output()
  clickToCall = new EventEmitter<string>();

  constructor(private logger: NGXLogger) {}

  ngOnInit() {}

  onClickToCall(phonNum: string) {
    this.clickToCall.emit(phonNum);
  }
}
