import {
  Component,
  OnInit,
  Input,
  Output,
  EventEmitter,
  ViewEncapsulation
} from '@angular/core';
import { UserInfo } from '@ucap-webmessenger/protocol-sync';
import {
  UserInfoSS,
  UserInfoF,
  UserInfoDN
} from '@ucap-webmessenger/protocol-query';
import {
  StatusBulkInfo,
  StatusInfo,
  WorkStatusType
} from '@ucap-webmessenger/protocol-status';
import {
  RightDrawer,
  KEY_URL_INFO,
  LoginInfo,
  KEY_LOGIN_INFO,
  KEY_VER_INFO,
  EnvironmentsInfo,
  KEY_ENVIRONMENTS_INFO
} from '@app/types';
import { NGXLogger } from 'ngx-logger';
import {
  SessionStorageService,
  LocalStorageService
} from '@ucap-webmessenger/web-storage';
import { VersionInfo2Response } from '@ucap-webmessenger/api-public';
import { TranslateService } from '@ngx-translate/core';
import { CallHistoryInfo } from '@ucap-webmessenger/pi';

@Component({
  selector: 'ucap-call-user-item',
  templateUrl: './user-call-item.component.html',
  styleUrls: ['./user-call-item.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class UserCallItemComponent implements OnInit {
  @Input()
  callHistoryInfo: CallHistoryInfo;
  @Input()
  profileImageRoot?: string;
  @Input()
  sessionVerinfo: VersionInfo2Response;

  @Output()
  reCall = new EventEmitter<number>();

  constructor(
    private logger: NGXLogger,
    private translateService: TranslateService,
    private sessionStorageService: SessionStorageService
  ) {}

  ngOnInit() {
    this.sessionVerinfo = this.sessionStorageService.get<VersionInfo2Response>(
      KEY_VER_INFO
    );
  }
}
