import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatGridListModule } from '@angular/material/grid-list';

import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';
import { VirtualScrollerModule } from 'ngx-virtual-scroller';

import { TranslateModule } from '@ngx-translate/core';

import { UCapUiModule } from '@ucap-webmessenger/ui';
import { UCapUiChatModule } from '@ucap-webmessenger/ui-chat';
import { DialpadComponent } from './components/dialpad.component';
import { CallHistoryComponent } from './components/call-history.component';
import { UserCallItemComponent } from './components/user-call-item.component';
import { PhoneBookComponent } from './components/phone-book.component';

const COMPONENTS = [
  DialpadComponent,
  CallHistoryComponent,
  UserCallItemComponent,
  PhoneBookComponent
];
const SERVICES = [];
const DIALOGS = [];
@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    FlexLayoutModule,

    MatButtonModule,
    MatFormFieldModule,
    MatIconModule,
    MatInputModule,
    MatGridListModule,

    PerfectScrollbarModule,
    VirtualScrollerModule,

    TranslateModule,

    UCapUiModule,
    UCapUiChatModule
  ],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS, ...DIALOGS],
  entryComponents: [...DIALOGS]
})
export class UCapUiCallModule {
  public static forRoot(): ModuleWithProviders<UCapUiCallModule> {
    return {
      ngModule: UCapUiCallModule,
      providers: [...SERVICES]
    };
  }
}
